<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

	include_once '../../config/database.php';
	include_once '../../objects/item.php';
	date_default_timezone_set('Asia/Rangoon');
	session_start();

	$database = new Database();
	$db = $database->getConnection();
	 
	$item = new Item($db);
	$data = json_decode(file_get_contents("php://input"));

	$item->city = $data->city;	
	$item->item_code = $data->item_code;	
	$item->item_name = $data->item_name;	
	$item->min_stock_level = $data->min_stock_level;
	$item->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
	$item->entry_date_time = date("Y-m-d H:i:s");

	if($data->id){
		$item->id = $data->id;
		if($item->update()){
			$msg_arr = array(
				"message" => "updated"
			);
		}else{
			$msg_arr = array(
				"message" => "errorIU"
			);
		}
	}else{
		if($item->exist()){
			$msg_arr = array(
				"message" => "duplicate"
			);
		}else if($item->create()){
			$msg_arr = array(
				"message" => "created"
			);
		}else{
			$msg_arr = array(
				"message" => "errorc"
			);	
		}
	}
	echo json_encode($msg_arr);
?>